Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2259247

Summary: Review Request: python-snakemake-storage-plugin-gcs - Snakemake storage plugin for Google Cloud Storage
Product: [Fedora] Fedora Reporter: Ben Beasley <code>
Component: Package ReviewAssignee: Steve Cossette <farchord>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: farchord, package-review
Target Milestone: ---Keywords: AutomationTriaged
Target Release: ---Flags: farchord: fedora-review+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-01-24 13:51:13 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1276941    

Description Ben Beasley 2024-01-19 17:48:51 UTC
Spec URL: https://music.fedorapeople.org/python-snakemake-storage-plugin-gcs.spec
SRPM URL: https://music.fedorapeople.org/python-snakemake-storage-plugin-gcs-0.1.3-1.fc39.src.rpm

Description:

Snakemake storage plugin for Google Cloud Storage.

Fedora Account System Username: music

Koji scratch build (explicitly for all architectures):

F40: https://koji.fedoraproject.org/koji/taskinfo?taskID=111987606

Comment 1 Fedora Review Service 2024-01-19 17:53:58 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6922605
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2259247-python-snakemake-storage-plugin-gcs/fedora-rawhide-x86_64/06922605-python-snakemake-storage-plugin-gcs/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Steve Cossette 2024-01-23 14:29:59 UTC
* Package abides by the Fedora package guidelines
* License is free, and is approved by Fedora
** Sidenote: LICENSE and COPYRIGHT both state that the package is MIT. NOTICE is not a license file but a liability waiver, which is fine.
* Package builds in mock and installs successfully.
* No serious RPMlint issues

PACKAGE APPROVED

Comment 3 Ben Beasley 2024-01-23 14:32:45 UTC
Thank you for the review!

Added to release monitoring: https://release-monitoring.org/project/371051/

I’ll request the dist-git repo after the FAS outage is resolved.

Comment 4 Fedora Admin user for bugzilla script actions 2024-01-24 01:26:43 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-snakemake-storage-plugin-gcs

Comment 5 Fedora Update System 2024-01-24 13:49:24 UTC
FEDORA-2024-517ce85342 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-517ce85342

Comment 6 Fedora Update System 2024-01-24 13:51:13 UTC
FEDORA-2024-517ce85342 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.